<?php

declare(strict_types=1);

namespace System\Modules;

final class ModuleRegistry
{
    /**
     * @var array<string,bool>
     */
    private array $modules;

    public function __construct()
    {
        $this->modules = require CONFIG_PATH . '/modules.php';
    }

    public function all(): array
    {
        return array_keys($this->modules);
    }
}